#Limpio la pantalla antes de empezar
Clear-Host

# Leo el fichero de texto. La ruta la tomaremos del parámetro primero. 
# Si no existiera cogeremos la ruta actual y el nombre por defecto.
if ($args.count -eq 0){
    $Lusuarios = Get-Content ".\usuarios.txt"
}else{
    $Lusuarios = Get-Content $args[0]
}

#Compruebo si en el fichero recuperado existen nombres de 
#usuario, si no salgo.
if ($Lusuarios -eq $null){
    write-host "No hay nada que hacer"
    exit 1
}

#Para cada usuario aplico acciones
foreach ($usuario in $Lusuarios){
    
    #Repetirá mientras la variable de control así lo indique
    #Comprobar si existe el usuario. Si no paso al solo permito añadir.
    $existe=net user $usuario 2> $null
   
     If ($existe -ne $null )
    {
      #Inicializo la variable de control
      $siguiente=1
      
      #Petición de opciones
      Write-Host "¿Qué desea hacer con el usuario ----$usuario----?"
      $opcion = Read-Host "(d-borrarlo, g-hacerlo administrador, i-información, s-saltar)";
      

      do{
        #Según la opción elegida hago una cosa u otra
        switch ($opcion) 
            { 
                d {Write-host "$usuario --- ha sido eliminado"
                    net user $usuario /del;
                    $siguiente=1 } 
                g {Write-host "$usuario --- ha sido unido al grupo administradores"
                    net group administradores $usuario /add
                    $siguiente=1} 
                i {net user $usuario
                    $siguiente=1} 
                s {write-host "Pasando al siguiente usuario..."
                    }    
                default {Write-Warning "Por favor elige una opción valida"
                    $opcion = Read-Host "(a-añadir, d-borrarlo, g-hacerlo administrador, i-información, s-salir)"
                    $siguiente=0}
            }
      }until ($siguiente -eq 1)
    }else{ #Si no existe el usuario sólo puedo añadirlo
          $respuesta=read-host "$usuario --- NO EXISTE ¿Quiere añadirlo (s/n)?"


          if ($respuesta -eq "s"){
              Write-host "$usuario --- ha sido añadido como usuario nuevo"
              net user $usuario /add
          }
    }
    
}

#Limpio el contenido de la variable para evitar conflictos futuros
Clear-Variable Lusuarios

#Despedida
Write-Host "Gracias por usar la herramienta de gestión de usuarios."

